net.sf.jasperreports.engine.design

## Class JRJdtCompiler.CompilerRequestor

- java.lang.Object
- - net.sf.jasperreports.engine.design.JRJdtCompiler.CompilerRequestor

- All Implemented Interfaces:
    org.eclipse.jdt.internal.compiler.ICompilerRequestor
  Enclosing class:
    JRJdtCompiler

      public static class JRJdtCompiler.CompilerRequestor
      extends java.lang.Object
      implements org.eclipse.jdt.internal.compiler.ICompilerRequestor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRJdtCompiler` | `compiler`
    `protected JRJdtCompiler.CompilationUnitResult[]` | `unitResults`
    `protected JRCompilationUnit[]` | `units`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRJdtCompiler.CompilerRequestor(JasperReportsContext jasperReportsContext, JRJdtCompiler compiler, JRCompilationUnit[] units)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptResult(org.eclipse.jdt.internal.compiler.CompilationResult result)`
    `java.lang.String` | `getFormattedProblems()`
    `protected org.eclipse.jdt.core.compiler.IProblem[]` | `getJavaCompilationErrors(org.eclipse.jdt.internal.compiler.CompilationResult result)`
    `boolean` | `hasMissingMethods()`
    `JRJdtCompiler.CompilationUnit[]` | `processCompilationUnits()`
    `void` | `processProblems()`
    `protected void` | `reset()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### compiler

          protected final JRJdtCompiler compiler

    - #### units

          protected final JRCompilationUnit[] units

    - #### unitResults

          protected final JRJdtCompiler.CompilationUnitResult[] unitResults

  - ### Constructor Detail

    - #### JRJdtCompiler.CompilerRequestor

          public JRJdtCompiler.CompilerRequestor(JasperReportsContext jasperReportsContext,
                                         JRJdtCompiler compiler,
                                         JRCompilationUnit[] units)

  - ### Method Detail

    - #### acceptResult

          public void acceptResult(org.eclipse.jdt.internal.compiler.CompilationResult result)

      Specified by:
        `acceptResult` in interface `org.eclipse.jdt.internal.compiler.ICompilerRequestor`

    - #### processProblems

          public void processProblems()

    - #### getFormattedProblems

          public java.lang.String getFormattedProblems()

    - #### hasMissingMethods

          public boolean hasMissingMethods()

    - #### processCompilationUnits

          public JRJdtCompiler.CompilationUnit[] processCompilationUnits()

    - #### reset

          protected void reset()

    - #### getJavaCompilationErrors

          protected org.eclipse.jdt.core.compiler.IProblem[] getJavaCompilationErrors(org.eclipse.jdt.internal.compiler.CompilationResult result)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com